"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setGlobalConfig = exports.getGlobalConfig = void 0;
/* eslint-disable global-require */
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const contracts_1 = require("./contracts");
let globalConfig = {};
function getGlobalConfig() {
    loadGlobalConfig();
    return globalConfig;
}
exports.getGlobalConfig = getGlobalConfig;
function setGlobalConfig(config) {
    globalConfig = config;
}
exports.setGlobalConfig = setGlobalConfig;
// region load config
let globalConfigLoaded = false;
function loadGlobalConfig() {
    if (globalConfigLoaded) {
        return;
    }
    globalConfigLoaded = true;
    const configFile = path_1.default.resolve(process.cwd(), process.env[contracts_1.GLOBAL_CONFIG_ENV] || '.run-script-rc.js');
    if (fs_1.default.existsSync(configFile)) {
        const config = require(configFile);
        setGlobalConfig({
            ...getGlobalConfig(),
            ...config,
        });
    }
    else if (process.env[contracts_1.GLOBAL_CONFIG_ENV]) {
        throw new Error('Config file not found: ' + configFile);
    }
}
// endregion
