"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-shadow */
const assert_1 = __importDefault(require("assert"));
const run_func_1 = require("./run-func");
const stream_1 = require("stream");
describe('helpers', function () {
    this.timeout(20000);
    it('run', async function () {
        let log = '';
        const stdout = new stream_1.Writable({
            write(chunk, encoding, callback) {
                log += chunk.toString(encoding === 'buffer' ? void 0 : encoding);
            },
        });
        const result = await run_func_1.run('echo 123', {
            returnOutputs: true,
            prepareProcess(proc) {
                proc.stdout.pipe(stdout);
            },
        });
        assert_1.default.strictEqual(result.out.trim(), '123');
        assert_1.default.strictEqual(result.both.trim(), '123');
        assert_1.default.strictEqual(result.err.trim(), '');
        assert_1.default.strictEqual(log.trim(), '123');
    });
});
