#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const contracts_1 = require("./contracts");
/* eslint-disable global-require */
const run_func_1 = require("./run-func");
const yargs_1 = __importDefault(require("yargs"));
const path_1 = __importDefault(require("path"));
module.exports = (async () => {
    const argv = await yargs_1.default(process.argv)
        .option('config', {
        alias: 'c',
        type: 'string',
        description: 'relative path to the run-script-rc.js file',
    })
        .option('transform', {
        alias: 't',
        type: 'string',
        description: 'path to the script that transform the input script',
    })
        .argv;
    let script = (argv._[argv._.length - 1] || '').toString();
    if (argv.transform) {
        script = require(path_1.default.resolve('.', argv.transform))(script);
    }
    try {
        return await run_func_1.run(`node -e "${script.replace(/"/g, '""')}"`, {
            notAutoKill: true,
            stdin: 'inherit',
            env: {
                [contracts_1.GLOBAL_CONFIG_ENV]: argv.config || void 0,
            },
        });
    }
    finally {
        delete process.env[contracts_1.GLOBAL_CONFIG_ENV];
    }
})();
